Vous cherchez l'ancienne plateforme Konfiwear ?Cliquez ici pour vous inscrire à Legacy Konfiwear
KonfiwearKonfiwear
  • Tarifs
Web-to-Print3D Clothing ConfiguratorDirect-to-GarmentMockups vêtements
Print-on-DemandPromotionalSportwearPackaging
Tarifs
FonctionnalitésBlogDocumentationRéférence APIJournal des modificationsLegacy Konfiwear
API Reference

v1

  • Overview
  • Authentication
  • Error Handling
API Reference

v1

  • Overview
  • Authentication
  • Error Handling
Newsletter

Découvrez les dernières fonctionnalités, améliorations et mises à jour de Konfiwear

Soyez le/la premier(ère) à explorer de nouvelles capacités, des améliorations de performance et des outils conçus pour optimiser votre flux de travail.

Vous pouvez vous désabonner à tout moment. Consultez notre politique de confidentialité pour savoir comment nous traitons vos données.

KonfiwearKonfiwear

Dynamisez votre activité de vêtements personnalisés avec des outils de design 3D avancés et des intégrations fluides.

Market & Industry
  • Print-on-Demand
  • Promotional
  • Sportwear
  • Packaging
Solutions
  • Web-to-Print
  • 3D Clothing Configurator
  • Direct-to-Garment
  • Mockups vêtements
Ressources
  • Fonctionnalités
  • Blog
  • Documentation
  • Référence API
  • Journal des modifications
Entreprise
  • Contact
  • Dossier de presse

© Copyright 2026 Konfiwear V2. Tous droits réservés.

Politique de confidentialitéConditions d'utilisationPolitique de cookies

Authentication

Every request to the Konfiwear API requires an API key. Keys are scoped to a single workspace and can be restricted to specific resources and access levels.

1. Generate an API Key

Navigate to Settings → API Keys in your workspace dashboard. Click Create API Key, choose a name, select the resource scopes you need, and set an optional expiration.

The full API key is shown exactly once at creation time. Copy it immediately and store it in a secure location (for example an environment variable or secrets manager).

Format: kfw_live_************************************

2. Authenticate Requests

Include your API key in the X-Api-Key header on every request. No other authentication headers are needed.

Base URL: https://api.konfiwear.com/api/v1
curl
curl -X GET 'https://api.konfiwear.com/api/v1/products' \
  -H 'X-Api-Key: kfw_live_your_key_here'
JavaScript
const response = await fetch('https://api.konfiwear.com/api/v1/products', {
  headers: {
    'X-Api-Key': process.env.KONFIWEAR_API_KEY,
  },
});

const { data, pagination } = await response.json();
API Reference

v1

  • Overview
  • Authentication
  • Error Handling
API Reference

v1

  • Overview
  • Authentication
  • Error Handling

Authentication

Every request to the Konfiwear API requires an API key. Keys are scoped to a single workspace and can be restricted to specific resources and access levels.

1. Generate an API Key

Navigate to Settings → API Keys in your workspace dashboard. Click Create API Key, choose a name, select the resource scopes you need, and set an optional expiration.

The full API key is shown exactly once at creation time. Copy it immediately and store it in a secure location (for example an environment variable or secrets manager).

Format: kfw_live_************************************

2. Authenticate Requests

Include your API key in the X-Api-Key header on every request. No other authentication headers are needed.

Base URL: https://api.konfiwear.com/api/v1
curl
curl -X GET 'https://api.konfiwear.com/api/v1/products' \
  -H 'X-Api-Key: kfw_live_your_key_here'
JavaScript
const response = await fetch('https://api.konfiwear.com/api/v1/products', {
  headers: {
    'X-Api-Key': process.env.KONFIWEAR_API_KEY,
  },
});

const { data, pagination } = await response.json();